Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class PayloadProcessorProvider.DirPayloadProcessor

    java.lang.Object
      org.apache.lucene.index.PayloadProcessorProvider.ReaderPayloadProcessor
          org.apache.lucene.index.PayloadProcessorProvider.DirPayloadProcessor

Enclosing class:
  PayloadProcessorProvider

Deprecated. Use `PayloadProcessorProvider.ReaderPayloadProcessor` instead.

    @Deprecated
    public abstract static class PayloadProcessorProvider.DirPayloadProcessor

extends PayloadProcessorProvider.ReaderPayloadProcessor

Constructor Summary
`PayloadProcessorProvider.DirPayloadProcessor()` Deprecated.

Method Summary

Methods inherited from class org.apache.lucene.index.PayloadProcessorProvider.ReaderPayloadProcessor
`getProcessor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PayloadProcessorProvider.DirPayloadProcessor

    public PayloadProcessorProvider.DirPayloadProcessor()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD